Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class StreamTransformerImpl

    java.lang.Object
      |
      +--javax.xml.transform.Transformer
            |
            +--com.caucho.xsl.TransformerImpl
                  |
                  +--com.caucho.xsl.StreamTransformerImpl

All Implemented Interfaces:
  StreamTransformer, Transformer

public class StreamTransformerImpl
extends TransformerImpl
implements StreamTransformer

Fields inherited from class com.caucho.xsl.TransformerImpl
`CACHE_DEPENDS, cacheDepends, GENERATE_LOCATION, L, LINE_MAP, lineMap, parameters, properties, stylesheet`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String name)` Gets a transformer/stylesheet property.
`void` | `transform(java.io.InputStream source, java.io.OutputStream os)` Transforms an input stream to the output stream.
`void` | `transform(java.lang.String systemId, java.io.OutputStream os)` Transforms a file to the output stream.
`void` | `transformString(java.lang.String source, java.io.OutputStream os)` Transforms a string to the output stream.

Methods inherited from class com.caucho.xsl.TransformerImpl
`addCacheDepend, addCacheDepend, addFunction, clearParameters, getCacheDepends, getErrorListener, getFeature, getOutputProperties, getOutputProperty, getParameter, getStylesheet, getURIResolver, parseDocument, parseDocument, parseDocument, parseStringDocument, setErrorListener, setFeature, setOutputProperties, setOutputProperty, setParameter, setProperty, setURIResolver, transform, transform, transform, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.caucho.transform.StreamTransformer
`transform`

Methods inherited from interface com.caucho.transform.Transformer
`addFunction, getFeature, getParameter, setFeature, setParameter, setProperty`

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Description copied from interface: `Transformer`
  Gets a transformer/stylesheet property.
  Specified by:
    `getProperty` in interface `Transformer`
  Overrides:
    `getProperty` in class `TransformerImpl`
  Following copied from interface: `com.caucho.transform.Transformer`
  Parameters:
    `name` - name of the property

### transform

    public void transform(java.io.InputStream source,
                          java.io.OutputStream os)
                   throws org.xml.sax.SAXException,
                          java.io.IOException,
                          TransformerException

  Description copied from interface: `StreamTransformer`
  Transforms an input stream to the output stream.
  Specified by:
    `transform` in interface `StreamTransformer`
  Following copied from interface: `com.caucho.transform.StreamTransformer`
  Parameters:
    `source` - an input stream for an XML document.
    `os` - the destination output stream.

### transform

    public void transform(java.lang.String systemId,
                          java.io.OutputStream os)
                   throws org.xml.sax.SAXException,
                          java.io.IOException,
                          TransformerException

  Description copied from interface: `StreamTransformer`
  Transforms a file to the output stream.
  Specified by:
    `transform` in interface `StreamTransformer`
  Following copied from interface: `com.caucho.transform.StreamTransformer`
  Parameters:
    `systemId` - name of a file to parse as an XML document.
    `os` - the destination output stream.

### transformString

    public void transformString(java.lang.String source,
                                java.io.OutputStream os)
                         throws org.xml.sax.SAXException,
                                java.io.IOException,
                                TransformerException

  Description copied from interface: `StreamTransformer`
  Transforms a string to the output stream.
  Specified by:
    `transformString` in interface `StreamTransformer`
  Following copied from interface: `com.caucho.transform.StreamTransformer`
  Parameters:
    `source` - A string to be parsed as XML as the source.
    `os` - the destination output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD